| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
GaudiPython.Bindings.PyAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name=None)
def | __del__ (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | beginRun (self)
def | endRun (self)

## Private Attributes
| _svcloc
| _algmgr

## Detailed Description

Definition at line 1493 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.PyAlgorithm.__init__ | ( |  | self,
|  |  | name = `None`
| ) |  |

Definition at line 1494 of file Bindings.py.

1494 def __init__(self, name=None):
1495 if not name:
1496 name = self.__class__.__name__
1497 _PyAlgorithm.__init__(self, self, name)
1498 self._svcloc = gbl.Gaudi.svcLocator()
1499 self._algmgr = InterfaceCast(gbl.IAlgManager)(self._svcloc)
1500 sc = self._algmgr.addAlgorithm(self)
1501 if sc.isFailure():
1502 raise RuntimeError('Unable to add Algorithm')
1503

## ◆ __del__()

def GaudiPython.Bindings.PyAlgorithm.__del__ | ( |  | self | ) |

Definition at line 1504 of file Bindings.py.

1504 def __del__(self):
1505 sc = self._algmgr.removeAlgorithm(self)
1506 if sc.isFailure():
1507 pass
1508

## Member Function Documentation

## ◆ beginRun()

def GaudiPython.Bindings.PyAlgorithm.beginRun | ( |  | self | ) |

Definition at line 1524 of file Bindings.py.

1524 def beginRun(self):
1525 return 1
1526

## ◆ endRun()

def GaudiPython.Bindings.PyAlgorithm.endRun | ( |  | self | ) |

Definition at line 1527 of file Bindings.py.

1527 def endRun(self):
1528 return 1
1529
1530
1531 # ----Enable tab completion----------------------------------------------------
1532 try:

## ◆ execute()

def GaudiPython.Bindings.PyAlgorithm.execute | ( |  | self | ) |

Definition at line 1515 of file Bindings.py.

1515 def execute(self):
1516 return 1
1517

## ◆ finalize()

def GaudiPython.Bindings.PyAlgorithm.finalize | ( |  | self | ) |

Definition at line 1521 of file Bindings.py.

1521 def finalize(self):
1522 return 1
1523

## ◆ initialize()

def GaudiPython.Bindings.PyAlgorithm.initialize | ( |  | self | ) |

Definition at line 1509 of file Bindings.py.

1509 def initialize(self):
1510 return 1
1511

## ◆ start()

def GaudiPython.Bindings.PyAlgorithm.start | ( |  | self | ) |

Definition at line 1512 of file Bindings.py.

1512 def start(self):
1513 return 1
1514
IOTest.start
def start
Definition: IOTest.py:97

## ◆ stop()

def GaudiPython.Bindings.PyAlgorithm.stop | ( |  | self | ) |

Definition at line 1518 of file Bindings.py.

1518 def stop(self):
1519 return 1
1520

## Member Data Documentation

## ◆ _algmgr

GaudiPython.Bindings.PyAlgorithm._algmgr
| private

Definition at line 1499 of file Bindings.py.

## ◆ _svcloc

GaudiPython.Bindings.PyAlgorithm._svcloc
| private

Definition at line 1498 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py